Subject: Re: [PATCH v6 2/2] test-config: Add tests for the config_set API

From: Matthieu Moy <[email-masked]>
Date: Wed, 09 Jul 2014 14:10:52 +0200

Tanay Abhra <[email-masked]> writes:

> On 7/7/2014 10:34 PM, Matthieu Moy wrote:
>> Tanay Abhra <[email-masked]> writes:
>> 
>>> diff --git a/t/t1308-config-hash.sh b/t/t1308-config-hash.sh
>>> new file mode 100755
>>> index 0000000..ad99f8b
>>> --- /dev/null
>>> +++ b/t/t1308-config-hash.sh
>>> +test_expect_success 'setup default config' '
>>> +	cat >.git/config << EOF
>> 
>> Missing && here (sorry, I should have noticed the first time).
>> 
>
> Does a single cat command warrant a `&&`? It errors out when I try
> to add it there.

Ahh, my bad, I didn't notice that cat was the only command in the test.

You're right, no && needed or possible here.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/